javax.xml.transform

## Interface URIResolver

-     public interface URIResolver

  An object that implements this interface that can be called by the processor to turn a URI used in document(), xsl:import, or xsl:include into a Source object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `resolve(java.lang.String href, java.lang.String base)` Called by the processor when it encounters an xsl:include, xsl:import, or document() function.

- - ### Method Detail

    - #### resolve

          Source resolve(java.lang.String href,
                         java.lang.String base)
                  throws TransformerException

      Called by the processor when it encounters an xsl:include, xsl:import, or document() function.
      Parameters:
        `href` - An href attribute, which may be relative or absolute.
        `base` - The base URI against which the first argument will be made absolute if the absolute URI is required.
      Returns:
        A Source object, or null if the href cannot be resolved, and the processor should try to resolve the URI itself.
      Throws:
        `TransformerException` - if an error occurs when trying to resolve the URI.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.